=== debian/changelog ===
libcitygml (0.1.3+r121-1+3p0p1build1) precise; urgency=low

  * No-change rebuild for openscenegraph 3.0.1.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 13 Nov 2011 16:18:21 +0400

libcitygml (0.1.3+r121-1+3p0p1) unstable; urgency=low

  * new svn commit r121.
  * build dep : libgdal1-dev -> libgdal-dev
  * build with new libdap (3.11.1) and openscenegraph (3.0.1)

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 09 Sep 2011 19:03:49 +0800

libcitygml (0.1.3+r114-2+3p0p0) unstable; urgency=low

  * Rebuild to work with openscenegraph 3.0.0.
       - libopenscenegraph80.
       - If the version is -1+3.0.0, lintian warning about it.
            so dot -> p.
       - Read README.Debian for Version Policy.
  * fix manpages.
       - manpage-has-useless-whatis-entry
       - remove some useless infomation: see also info.
         remove some invaild part: caused by format error.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 08 Jul 2011 06:58:42 +0800

libcitygml (0.1.3+r114-1) unstable; urgency=low

  * Initial release (Closes: #622968)

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 16 Apr 2011 20:17:16 +0800
