=== src/CMakeLists.txt ===
--- 
+++ 
@@ -76,7 +76,7 @@
 
 ADD_LIBRARY( ${LIB_NAME} ${LIBCITYGML_USER_DEFINED_DYNAMIC_OR_STATIC} ${LIB_SRCS} ${LIB_PUBLIC_HEADERS} )
 
-TARGET_LINK_LIBRARIES( ${LIB_NAME} ${XERCESC_LIBRARY} ${LIBXML2_LIBRARIES} ${OPENGL_LIBRARIES} ${GDAL_LIBRARY} )
+TARGET_LINK_LIBRARIES( ${LIB_NAME} ${XERCESC_LIBRARIES} ${LIBXML2_LIBRARIES} ${OPENGL_LIBRARIES} ${GDAL_LIBRARY} )
 
 # IF( MSVC_IDE )
 	# SET_TARGET_PROPERTIES( ${LIB_NAME} PROPERTIES PREFIX "../" )
