=== debian/changelog ===
libcitygml (0.14+svn128-1+3p0p1+4.1) unstable; urgency=medium

  * Non-maintainer upload.  (Closes: #718385)

  [ Peter Michael Green ]
  * Make code in debian/gencontrol handle releasecandidate version of
    openscenegraph correctly. (Closes: #719396)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 Jan 2014 14:56:58 +0100

libcitygml (0.14+svn128-1+3p0p1+4) unstable; urgency=low

  [Sebastian Ramacher]
  * debian/patches/rewrite_cmake.diff: Remove extra $prefix from
    openscenegraph plugin location. (Closes: #699253).
  * debian/control: Bump libopenscenegraph-dev Build-Depends 
    to >= 3.0.1-4~ since the pkg-config output used to determine 
    the plugin location was fixed in 3.0.1-4.

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 02 Feb 2013 00:16:27 +0800

libcitygml (0.14+svn128-1+3p0p1) unstable; urgency=low

  * New Upstream snapshot 0.14+svn128
  * Convert it to multiarch.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 13 Jun 2012 01:38:09 +0800
