=== debian/control ===
Source: libcitygml
Priority: optional
Maintainer: YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cmake (>= 2.6.3), libxml2-dev, 
       libgdal-dev, libopenscenegraph-dev (>= 3.0.1-4~)
Standards-Version: 3.9.3
Section: libs
Homepage: http://code.google.com/p/libcitygml
Vcs-Git: git://git.debian.org/pkg-grass/libcitygml.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/libcitygml.git

Package: libcitygml0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Open source C++ library for parsing CityGML files
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains share library.

Package: libcitygml0-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends} ,libcitygml0 (= ${binary:Version})
Multi-Arch: same
Description: Static and header files of libcitygml
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains develop files: static and header files of libcitygml.

Package: libcitygml0-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcitygml0 (= ${binary:Version})
Description: Utils of libcitygml - citygml2vrml and citygmltest
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains citygml2vrml and citygmltest.

Package: openscenegraph-plugin-citygml-shared
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcitygml0 (= ${binary:Version}),
	 ${libosg-share}
Description: libcitygml OpenSceneGraph plugin (shared version)
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains OpenSceneGraph plugin (.so version).
 
Package: openscenegraph-plugin-citygml-static
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcitygml0 (= ${binary:Version}),
	 ${libosg-static}
Description: libcitygml OpenSceneGraph plugin (static version)
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains OpenSceneGraph plugin (.a version).
