=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ 

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf obj-*-*

override_dh_gencontrol:
	sh debian/gencontrol

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
