=== debian/watch ===
version=3
http://googlecode.debian.net/p/libcitygml/libcitygml\.([0-9]\.[0-9]\.[0-9])\.zip
