## libcitygml 0.14+svn134

=== debian/changelog ===
libcitygml (0.14+svn134-2+3p2p1) unstable; urgency=medium

  * Team upload.
  * Tweak OpenSceneGraph version detection in gencontrol script.
    Fixes FTBFS on kfreebsd-*.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 28 Sep 2014 00:44:08 +0200

libcitygml (0.14+svn134-1+3p2p1) unstable; urgency=medium

  * Team upload.
  * Apply patch from Jonathan Wiltshire to fix FTBFS with OpenSceneGraph 3.2.1.
    (closes: #763047)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 27 Sep 2014 16:39:53 +0200

libcitygml (0.14+svn134-1+3p2p0) unstable; urgency=low

  * Team upload.
  * Make Debian GIS Project Maintainer and YunQiang Su Uploader.
  * Drop obsolete DM-Upload-Allowed, permissions are granted in dak.
  * Use canonical URLs for Vcs-* fields.
  * Use copyright-format 1.0 instead of dep5 URL.
  * Fix libopenscenegraph version detection.
  * Fix 'information' typo in manpage, add patch to fix the typo in the code.
  * Update watch file for Subversion revisions.
  * Update to latest upstream Subversion revision.
  * Add symbols file using pkgkde-symbolshelper.
  * Bump Standards-Version to 3.9.5, changes: DM-Upload-Allowed, Vcs-* fields,
    copyright format, symbols file.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 31 Jan 2014 23:18:59 +0100
