=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: libcitygml
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: YunQiang Su <wzssyqa@gmail.com>
+Section: libs
 Priority: optional
-Maintainer: YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), cmake (>= 2.6.3), libxml2-dev, 
-       libgdal-dev, libopenscenegraph-dev (>= 3.0.1-4~)
-Standards-Version: 3.9.3
-Section: libs
+Build-Depends: debhelper (>= 9),
+               cmake,
+               libxml2-dev,
+               libgdal-dev,
+               libopenscenegraph-dev (>= 3.0.1-4~),
+               pkg-kde-tools
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/libcitygml.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/libcitygml.git
 Homepage: http://code.google.com/p/libcitygml
-Vcs-Git: git://git.debian.org/pkg-grass/libcitygml.git
-Vcs-Browser: http://git.debian.org/?p=pkg-grass/libcitygml.git
 
 Package: libcitygml0
 Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
 Description: Open source C++ library for parsing CityGML files
  libcitygml is a small and easy to use open source C++ library for parsing 
  CityGML files in such a way that data can be easily exploited by 3D 
@@ -30,11 +35,12 @@
  This package contains share library.
 
 Package: libcitygml0-dev
+Architecture: any
+Multi-Arch: same
 Section: libdevel
-Architecture: any
+Depends: ${misc:Depends},
+         libcitygml0 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends} ,libcitygml0 (= ${binary:Version})
-Multi-Arch: same
 Description: Static and header files of libcitygml
  libcitygml is a small and easy to use open source C++ library for parsing 
  CityGML files in such a way that data can be easily exploited by 3D 
@@ -50,9 +56,11 @@
  This package contains develop files: static and header files of libcitygml.
 
 Package: libcitygml0-bin
+Architecture: any
 Section: utils
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcitygml0 (= ${binary:Version})
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libcitygml0 (= ${binary:Version})
 Description: Utils of libcitygml - citygml2vrml and citygmltest
  libcitygml is a small and easy to use open source C++ library for parsing 
  CityGML files in such a way that data can be easily exploited by 3D 
@@ -68,10 +76,12 @@
  This package contains citygml2vrml and citygmltest.
 
 Package: openscenegraph-plugin-citygml-shared
+Architecture: any
 Section: devel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcitygml0 (= ${binary:Version}),
-	 ${libosg-share}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libcitygml0 (= ${binary:Version}),
+         ${libosg-share}
 Description: libcitygml OpenSceneGraph plugin (shared version)
  libcitygml is a small and easy to use open source C++ library for parsing 
  CityGML files in such a way that data can be easily exploited by 3D 
@@ -85,12 +95,14 @@
  is quickly being adopted on an international level.
  .
  This package contains OpenSceneGraph plugin (.so version).
- 
+
 Package: openscenegraph-plugin-citygml-static
+Architecture: any
 Section: devel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcitygml0 (= ${binary:Version}),
-	 ${libosg-static}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libcitygml0 (= ${binary:Version}),
+         ${libosg-static}
 Description: libcitygml OpenSceneGraph plugin (static version)
  libcitygml is a small and easy to use open source C++ library for parsing 
  CityGML files in such a way that data can be easily exploited by 3D 
@@ -104,3 +116,4 @@
  is quickly being adopted on an international level.
  .
  This package contains OpenSceneGraph plugin (.a version).
+
