=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 CFLAGS += $(CPPFLAGS)
 CXXFLAGS += $(CPPFLAGS)
 
+CITYGML_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed 's/[\+\~].*//')
+
 %:
-	dh $@ 
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -14,6 +16,9 @@
 override_dh_gencontrol:
 	sh debian/gencontrol
 
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c0 -v$(CITYGML_VERSION)
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
