=== debian/watch ===
version=3

# official zipfile releases
#
#opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
#https://code.google.com/p/libcitygml/downloads/list?can=1 \
#.*/libcitygml\.(\d[\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# subversion revisions
#
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/^\d+$/0.14+svn$&/" \
https://code.google.com/p/libcitygml/source/list \
(?:.*/)?detail\?r=(\d+)
